<html>
<!-- $RCSfile: MS-FCCON.TPL $ $Revision: 1.26 $ -->
<!-- (C) Copyright 2002 Compaq Information Technologies Group, L.P. -->
<head>
<title>Fibre Channel Connections</title>

<!#/COMMON/PAGETAGS.TPL>

<script language="JavaScript">
contextHelp = true;

<!cpqSsChassisEntry>
<!cpqSsFibreAttachmentEntry>
<!cpqFcaHostCntlrEntry>
<!cpqFcaHostCntlrStorBoxList.raw>
<!cpqFcTapeCntlrEntry>
<!cpqFcaHostCntlrTapeCntlrList.raw>
<!cpqFcSwitchEntry>

<!#/COMMON/COND.JS>
<!#/COMMON/STDITEMS.JS>
<!#/COMMON/TABLES.JS>
<!#/COMMON/PARSEARG.JS>
<!#/COMMON/DISPBASE.JS>
<!#FCAENUMS.JS>
<!#MS-FCCMN.JS>

// Makes a link that wipes out stored "currentPage" so that when SUBFRAME.TPL
// is reloaded it will go to first link in menu, not the connections page
function pageMakeLink(linkHref, linkText, target)
{
   var absoluteHref="";
   var firstChar = linkHref.charAt(0);

   if (firstChar != "/" && firstChar != "\\")
   {
      absoluteHref = webagentTemplateBase;
   }
   absoluteHref += linkHref;

   return("<a href=\"" + absoluteHref + "\" target=\"" + target +
      "\" onclick=\"configSet(currentPage, configDefaults[currentPage]);handleMenuHighlighting(\'" + linkHref +
      "\', \'" + target + "\');\">" + linkText + "</a>");
}
function IsDuplicate(index, list, count)
{
   for (n = 0; n < count; n++)
   {
      if (list[n] == index)  return true;
   }
   return false;
}
</script>
</head>

<script language="JavaScript">

if (window.name == 'dataframe')
{
   fcTarget = "SUBFRAME.TPL?currentSubmenu=CQMGSTOR/MS-FCMNU.TPL&index=";
   ftTarget = "SUBFRAME.TPL?currentSubmenu=CQMGSTOR/MS-FTMNU.TPL&index=";
}
else  // No frames mode
{
   fcTarget = "CQMGSTOR/MS-FCMNU.TPL?index=";
   ftTarget = "CQMGSTOR/MS-FTMNU.TPL?index=";
}
target = "_self";

writeBodyHead();
writePageHead("Fibre Channel Connections", "/WEBAGENT/IMAGES/MASSHDR.GIF");

if (cpqFcaHostCntlrEntry.length > 0)
{
   indexList = new Array();
   tmpCond = new cpqCondition();

   for (i = 0; i < cpqFcaHostCntlrEntry.length; i++)
   {
      with(cpqFcaHostCntlrEntry[i])
      {
         tmpCond.set(cpqFcaHostCntlrCondition);
         writeTableLabel(tmpCond.image() + displayItem("cpqFcaHostCntlrModel", cpqFcaHostCntlrModel), "Information");
         writeTableHead();
         writeDoubleTableRow(
            "Status:", displayItem("cpqFcaHostCntlrStatus", cpqFcaHostCntlrStatus),
            "World Wide Port Name:", displayItem("cpqFcaHostCntlrWorldWidePortName", cpqFcaHostCntlrWorldWidePortName));
         writeDoubleTableRow(
            "Slot:", hostControllerSlot(cpqFcaHostCntlrSlot),
            "World Wide Node Name:", displayItem("cpqFcaHostCntlrWorldWideName", cpqFcaHostCntlrWorldWideName));
         writeDoubleTableRow(
            "Serial Number:", displayItem("cpqFcaHostCntlrSerialNumber", cpqFcaHostCntlrSerialNumber),
            "", "");
         document.write("<tr><td colspan='8'><hr></hr></td></tr>");

         // Fibre Storage Systems
         indexCount = 0;
         for (j = 0; j < window.cpqFcaHostCntlrStorBoxList[i].length; j += 2)
         {
            ssIndex = parseInt(window.cpqFcaHostCntlrStorBoxList[i][j]) + 
                               window.cpqFcaHostCntlrStorBoxList[i][j+1] * 0x100;

            for (k = 0; k < cpqSsChassisEntry.length; k++)
            {
               if (cpqSsChassisEntry[k].cpqSsChassisIndex == ssIndex)
               {
                  if (indexCount <= 0 || !IsDuplicate(ssIndex, indexList, indexCount))
                  {
                     indexList[indexCount] = ssIndex;
                     indexCount++;
                     tmpCond.set(cpqSsChassisEntry[k].cpqSsChassisOverallCondition);
                     ssName = getStatusNameTable(tmpCond.imageSmall(), pageMakeLink(fcTarget+k, fcChassisName(k), target));
                     if (indexCount == 1)
                        writeDoubleTableRow("Storage Systems:", ssName, "IO Slot:", boxIoSlot(k, cpqFcaHostCntlrIndex));
                     else
                        writeDoubleTableRow("", ssName, "IO Slot:", boxIoSlot(k, cpqFcaHostCntlrIndex));
                  }
                  break;
               }
            }
         }
         if (indexCount < 1)
            writeSingleTableRowInDoubleTable("Storage Systems:", "None");
         
         // Fibre Tape Controller
         indexCount = 0;
         writeDoubleTableRow("","","","");
         for (j = 0; j < window.cpqFcaHostCntlrTapeCntlrList[i].length; j += 2)
         {
            tcIndex = parseInt(window.cpqFcaHostCntlrTapeCntlrList[i][j]) + 
                               window.cpqFcaHostCntlrTapeCntlrList[i][j+1] * 0x100;

            for (k = 0; k < cpqFcTapeCntlrEntry.length; k++)
            {
               if (cpqFcTapeCntlrEntry[k].cpqFcTapeCntlrIndex == tcIndex)
               {
                  if (indexCount <= 0 || !IsDuplicate(tcIndex, indexList, indexCount))
                  {
                     indexList[indexCount] = tcIndex;
                     indexCount++;
                     tmpCond.set(cpqFcTapeCntlrEntry[k].cpqFcTapeCntlrOverallCondition);
                     tcName = getStatusNameTable(tmpCond.imageSmall(), pageMakeLink(ftTarget+k 
                                 +"&cntlrIndex="+ cpqFcTapeCntlrEntry[k].cpqFcTapeCntlrIndex, fcTapeCntlrName(k), target));
                     if (indexCount == 1)
                        writeSingleTableRowInDoubleTable("Tape Controllers:", tcName);
                     else
                        writeSingleTableRowInDoubleTable("", tcName);
                  }
                  break;
               }
            }
         }
         if (indexCount < 1)
            writeSingleTableRowInDoubleTable("Tape Controllers:", "None");

         // Fibre Channel Switches
         indexCount = 0;
         tmpCond.set(1);
         writeDoubleTableRow("","","","");
         for (j = 0; j < cpqSsFibreAttachmentEntry.length; j++)
         {
            for (k = 0; k < cpqFcSwitchEntry.length; k++)
            {
               if (cpqSsFibreAttachmentEntry[j].cpqSsFibreAttachmentDeviceType == 4 &&
                   cpqSsFibreAttachmentEntry[j].cpqSsFibreAttachmentDeviceIndex ==
                   cpqFcSwitchEntry[k].cpqFcSwitchIndex &&
                   cpqSsFibreAttachmentEntry[j].cpqSsFibreAttachmentHostControllerIndex == 
                   cpqFcaHostCntlrIndex)
               {
                  if (indexCount <= 0 || !IsDuplicate(cpqFcSwitchEntry[k].cpqFcSwitchIndex, indexList, indexCount))
                  {
                     indexList[indexCount] = cpqFcSwitchEntry[k].cpqFcSwitchIndex;
                     indexCount++;
                     swName = getStatusNameTable(tmpCond.imageSmall(), pageMakeLink("CQMGSTOR/MS-FCSW.TPL?index=" + k, 
                                 fcSwitchName(k), target));
                     if (indexCount == 1)
                        writeSingleTableRowInDoubleTable("Switches:", swName);
                     else
                        writeSingleTableRowInDoubleTable("", swName);
                  }
                  break;
               }
            }
         }
         if (indexCount < 1) writeSingleTableRowInDoubleTable("Switches:", "None");

         writeTableTail();
      }
      document.write("<br>");
   }
}
else
{
   writeOneItemTableRow("None");
}
writeBodyTail();
</script>
</html>

