<html>
<!-- $RCSfile: MS-FCLOG.TPL $ $Revision: 1.19 $ -->
<!-- (C) Copyright 2002 Compaq Information Technologies Group, L.P. -->
<head>
<title>Fibre Channel Logical Drive Information</title>

<script language="JavaScript">
   writeAccess = (2 & <!cpqFcaLogDrvBlinkTime.access>) != 0;
   if (writeAccess) noAutoRefresh = 1;
</script>

<!#/COMMON/PAGETAGS.TPL>

<script language="JavaScript">
contextHelp = true;

<!cpqSsChassisEntry>
<!cpqFcaLogDrvEntry>
<!cpqFcaLogDrvPhyDrvIDs.raw>
<!cpqFcaLogDrvAvailSpares.raw>
<!cpqFcaPhyDrvEntry>
<!cpqFcaSpareEntry>

<!#/COMMON/COND.JS>
<!#/COMMON/STDITEMS.JS>
<!#/COMMON/TABLES.JS>
<!#/COMMON/PARSEARG.JS>
<!#/COMMON/DISPBASE.JS>
<!#SSENUMS.JS>
<!#FCAENUMS.JS>
<!#MS-FCCMN.JS>

postfix["cpqFcaLogDrvSize"] = "MB";
postfix["cpqFcaLogDrvStripeSize"] = "KB";

function getIndex(form, boxIndex, drvIndex) 
{
   form.INDEX.value = parseInt(boxIndex) + "." + parseInt(drvIndex);
   return true;
}
function getReplacedDrive(idx, ctlIndex)
{
   var i, drive = "N/A";
   if (idx != "" && idx >= 0)
   {
      for (i = 0; i < cpqFcaPhyDrvEntry.length; i++)
         if (cpqFcaPhyDrvEntry[i].cpqFcaPhyDrvCntlrIndex == ctlIndex &&
             cpqFcaPhyDrvEntry[i].cpqFcaPhyDrvIndex == idx)
         {
            drive = makeLink("CQMGSTOR/MS-FCPHY.TPL?index=" + i, fcPhyDrvName(i), "_self");
            break;
         }
   }
   return drive;
}
</script>
</head>
<script language="JavaScript">

writeBodyHead();

idx = findArg("index"); 

if (idx == -1)
{
   parseArgs(tryPrevPage());
   idx = findArg("index");
}
if (idx == -1 || idx >= cpqFcaLogDrvEntry.length)
{
   reportMissingArgs();
}
else
{
   thisDrv = cpqFcaLogDrvEntry[idx];
   cntlrIdx = thisDrv.cpqFcaLogDrvCntlrIndex;
   boxIdx = thisDrv.cpqFcaLogDrvBoxIndex;

   for (i = 0; i < cpqSsChassisEntry.length; i++)
   {
       if (cpqSsChassisEntry[i].cpqSsChassisIndex == boxIdx)
       {
          boxIdx = i;
          break;
       }
   }
   writePageHead(fcChassisName(boxIdx), "/WEBAGENT/IMAGES/MASSHDR.GIF", "Logical Drive Information");

   driveCondition = new cpqCondition(thisDrv.cpqFcaLogDrvCondition);
   writeTableLabel(driveCondition.image() + fcLogDrvName(idx));
   writeTableHead();
   writeDoubleTableRow(
      "Status:", displayItem("cpqFcaLogDrvStatus", thisDrv.cpqFcaLogDrvStatus), "","");
   writeDoubleTableRow(
      "Fault Tolerance:", displayItem("cpqFcaLogDrvFaultTol", thisDrv.cpqFcaLogDrvFaultTol),
      "Capacity:", fcDriveCapacity("cpqFcaLogDrvSize", thisDrv.cpqFcaLogDrvSize));
   
   writeDoubleTableRow(
      "Accelerator:", displayItem("cpqFcaLogDrvHasAccel", thisDrv.cpqFcaLogDrvHasAccel),
      "Stripe Size:", displayItem("cpqFcaLogDrvStripeSize", thisDrv.cpqFcaLogDrvStripeSize));
   
   if (thisDrv.cpqFcaLogDrvStatus == 12) caption = "Percent Expand Complete:";
   else caption = "Percent Rebuild Complete:";
   
   if (thisDrv.cpqFcaLogDrvStatus != 7)
      writeDoubleTableRow(caption, percentGraph(thisDrv.cpqFcaLogDrvPercentRebuild), "","");
   else
      writeDoubleTableRow(caption, percentGraph(thisDrv.cpqFcaLogDrvPercentRebuild), 
         "Rebuilding Drive:", getReplacedDrive(thisDrv.cpqFcaLogDrvRebuildingPhyDrv, cntlrIdx));
   writeTableTail();
   document.write("<br>");

   if (thisDrv.cpqFcaLogDrvBlinkTime != "" && thisDrv.cpqFcaLogDrvBlinkTime < 4294967295) 
   {
      writeTableLabel("Identify Drive");
      writeTableHead();
      if (writeAccess)
      {
         if (thisDrv.cpqFcaLogDrvBlinkTime > 1)
            document.write("<tr><form action='MS-FCLOG.TPL' method='POST' target='_self' ",
              "onSubmit='return getIndex(this, thisDrv.cpqFcaLogDrvBoxIndex, thisDrv.cpqFcaLogDrvIndex);'>",
              "<input type='hidden' name='TABLESET' value='1'><input type='hidden' name='INDEX' value=''>",
              "<input type='hidden' name='cpqFcaLogDrvBlinkTime' value='1'><td align='center' width='50%'>",
              "<img src='/WEBAGENT/CQMGSTOR/ENG/DRVBLINK.GIF' width='72' height='42' border='0'></td>",
              "<td align='center'><input type='submit' value='Stop'></td></form></tr>");
         else  // Not blinking
            document.write("<tr><form action='MS-FCLOG.TPL' method='POST' target='_self' ",
              "onSubmit='return getIndex(this, thisDrv.cpqFcaLogDrvBoxIndex, thisDrv.cpqFcaLogDrvIndex);'>",
              "<td align='center' width='50%'><input type='hidden' name='TABLESET' value='1'>",
              "<input type='hidden' name='INDEX' value=''><small><font face='Arial'>Blink Drive Lights </font></small>",
              "<select name='cpqFcaLogDrvBlinkTime'>",
              "<option value='600'>1 minute<option value='1200'>2 minutes<option value='1800'>3 minutes",
              "<option value='2400'>4 minutes<option value='3000' selected>5 minutes<option value='6000'>10 minutes",
              "<option value='12000'>20 minutes<option value='18000'>30 minutes<option value='24000'>40 minutes",
              "<option value='30000'>50 minutes<option value='36000'>1 hour</select></td>",
              "<td align='center'><input type='submit' value='Start'></td>",
              "</form></tr>");
      }
      else  // Read only
      {
         if (thisDrv.cpqFcaLogDrvBlinkTime > 1)
            imgStr = "<img src='/WEBAGENT/CQMGSTOR/ENG/DRVBLINK.GIF' width='72' height='42' border='0'>";
         else
            imgStr = "<img src='/WEBAGENT/CQMGSTOR/ENG/DRIVE.GIF' width='72' height='42' border='0'>";
   
         document.write("<tr><td align='center' width='30%'>" + imgStr + "</td>",
            "<td><small><font face='Arial'>Only an administrator or an operator can blink the drive lights ",
            "to identify the drive. Select <I>Help</I> for further information.</font></small></td></tr>");
      }
      writeTableTail();
      document.write("<br>");
   }
   writeTableLabel("Physical Drives");
   writeTableHead();
   rawData = cpqFcaLogDrvPhyDrvIDs[idx];
   phyDrvCondition = new cpqCondition(1);

   for (i = 0; i < rawData.length; i++)
   {
      for (j = 0; j < cpqFcaPhyDrvEntry.length; j++)
      {
         if (cpqFcaPhyDrvEntry[j].cpqFcaPhyDrvBoxIndex == thisDrv.cpqFcaLogDrvBoxIndex &&
             cpqFcaPhyDrvEntry[j].cpqFcaPhyDrvIndex == rawData[i])
         {
            phyDrvCondition.set(cpqFcaPhyDrvEntry[j].cpqFcaPhyDrvCondition);
            document.write("<tr><td>");
            phyLink = "CQMGSTOR/MS-FCPHY.TPL?index=" + j;
            writeStatusNameTable(makeLink(phyLink, phyDrvCondition.imageSmall(), "_self"),
                                 makeLink(phyLink, fcPhyDrvName( j ), "_self"));
            document.write("</td></tr>");
            break;
         }
      }
   }
   writeTableTail();
   document.write("<br>");

   writeTableLabel("Spare Drives");
   writeTableHead();
   rawData = cpqFcaLogDrvAvailSpares[idx];
   phyDrvCondition = new cpqCondition(1);
   phyDrvCount = 0;

   for (i = 0; i < rawData.length; i++)
   {
      for (j = 0; j < cpqFcaPhyDrvEntry.length; j++)
      {
         if (cpqFcaPhyDrvEntry[j].cpqFcaPhyDrvBoxIndex == thisDrv.cpqFcaLogDrvBoxIndex &&
             cpqFcaPhyDrvEntry[j].cpqFcaPhyDrvIndex == rawData[i])
         {
            phyDrvCondition.set(cpqFcaPhyDrvEntry[ j ].cpqFcaPhyDrvCondition);
            document.write("<tr><td>");
            phyLink = "CQMGSTOR/MS-FCPHY.TPL?index=" + j;
            writeStatusNameTable(makeLink(phyLink, phyDrvCondition.imageSmall(), "_self"),
                                 makeLink(phyLink, fcPhyDrvName(j), "_self"));
            document.write("</td></tr>");
            phyDrvCount++;
            break;
         }
      }
   }
   if (phyDrvCount == 0)
   {
      writeOneItemTableRow("None");
   }
   writeTableTail();
}
writeBodyTail();
</script>
</html>