#
# This script installs ProLiant value add software.
#
# If you wish to have a custom configuration of the adlagent,
# uncomment the lines below, and place an adlagent configuration
# file named aldagent.conf.custom in this directory.
#
# Get the adlagent.conf file from the /opt/altiris/deployment/adlagent
# directory after installing the RPM on a system.
#
# Custom configurations are useful if you wish to specify the IP address
# of your deployment server, instead of using multicast to locate the 
# deployment server.
#
#mkdir -p /opt/altiris/deployment/adlagent
#cp adlagent.conf.custom /opt/altiris/deployment/adlagent

# install the support software
rpm -ihv cpqhealth-*.rpm
rpm -ihv cpqci-*.rpm
rpm -ihv cpqrid-*.rpm
rpm -ihv cpqriis-*.rpm
rpm -ihv src/bcm5700-*.src.rpm
pushd /usr/src/redhat
rpm -bb SPECS/bcm5700.spec
rpm -ihv RPMS/i386/bcm5700-*.rpm --force
sed 's/tg3/bcm5700/' /etc/modules.conf > /etc/modules.conf.new
mv /etc/modules.conf.new /etc/modules.conf
rmmod tg3
modprobe bcm5700
popd
rpm -ihv --force ucd-snmp-*.rpm
export CMAFDTNSILENT=yes
rpm -ihv cmafdtn-*.rpm
rpm -ihv cmasvr-*.rpm
rpm -ihv cmastor-*.rpm
rpm -ihv cmanic-*.rpm
rpm -ihv altiris-adlagent-*.rpm

if lsmod | grep -q cciss
then
	rpm -ihv cpq_cciss_*.rpm
fi

if lsmod | grep -q cpqarray
then
	rpm -ihv cpq_cpqarray_*.rpm
fi
