BEGIN {
	FS="[ \11=]*"
	image=""
	initrd="?"
	label="?"
	title="?"
	isImage=0
}
/#/ {
}
/title/ {
	if ( label != "?" ) {
		print image " " initrd " " label
	}
	label="?"
	initrd="?"
	image="?"

	label=$2" "$3" "$4" "$5
}
/kernel/ {
	if ( $1 == "" ) {
		if ( match($3,"/boot") ) {
			image=$3
		} else {
			image="/boot"$3
		}
	} else {
		if ( match($2,"/boot") ) {
			image=$2
		} else {
			image="/boot"$2
		}
	}
}
/initrd/ {
	if ( $1 == "" ) {
		if ( match($3,"/boot") ) {
			initrd=$3
		} else {
			initrd="/boot"$3
		}
	} else {
		if ( match($2,"/boot") ) {
			initrd=$2
		} else {
			initrd="/boot"$2
		}
	}
}
END {
	if ( label != "?" ) {
		print image " " initrd " " label
	}
}
